<?php

/**
 * Backend of Memberpages_XH
 *
 * Copyright 2012-2015 by svasti@svasti.de
 */

if ((!function_exists('sv')) || preg_match('!admin.php!i', sv('PHP_SELF'))) die('Access denied');

define('MEMBERPAGES_VERSION', '3.5rc2');

include 'funcs.php';

if (function_exists('XH_registerPluginMenuItem')) {
    XH_registerPluginMenuItem('memberpages',$plugin_tx['memberpages']['menu_log'],
        '?&memberpages&admin=plugin_config&action=log');
    XH_registerPluginMenuItem('memberpages',$plugin_tx['memberpages']['menu_config'],
        '?&memberpages&admin=plugin_config&action=plugin_edit');
    XH_registerPluginMenuItem('memberpages',$plugin_tx['memberpages']['menu_help'],
        $pth['file']['plugin_help'],'_blank');
}

initvar('memberpages');

if($memberpages)
{
    $plugin = basename(dirname(__FILE__),"/");
    $admin  = isset($_POST['admin']) ? $_POST['admin'] : $admin = isset($_GET['admin']) ? $_GET['admin'] : '';
    $action = isset($_POST['action']) ? $_POST['action'] : $action = isset($_GET['action']) ? $_GET['action'] : '';

    $memberpageimages=$pth['folder']['plugins'].$plugin."/images/";


    $plugin_main_on   = ( !$admin || $admin=='plugin_main') ?        ' class="mpp_selected"':'';
    $config_on        = ($admin=='plugin_config' && $action=='plugin_edit')? ' class="mpp_selected"':'';
    $stylesheet_on    = $admin=='plugin_stylesheet'?                 ' class="mpp_selected"':'';
    $language_on      = $admin=='plugin_language'?                   ' class="mpp_selected"':'';
    $credits_on       = $action=='credits'?                          ' class="mpp_selected"':'';
    $log_on           = $action=='log'?                              ' class="mpp_selected"':'';

    $o .= '<p class="mpp_admin_menu">' . "\n"
       .  '<a'.$plugin_main_on  .' href="?&amp;' . $plugin . '&amp;admin=plugin_main&action=plugin_text" />'
       .  $plugin_tx[$plugin]['menu_main'].'</a>&nbsp; ' . "\n"
       .  '<a'.$log_on          .' href="?&amp;' . $plugin . '&amp;admin=plugin_config&action=log" />'
       .  $plugin_tx[$plugin]['menu_log'].'</a>&nbsp; ' . "\n"
       .  '<a'.$config_on       .' href="?&amp;' . $plugin . '&amp;admin=plugin_config&action=plugin_edit" />'
       .  $plugin_tx[$plugin]['menu_config'].'</a>&nbsp; ' . "\n"
       .  '<a'.$stylesheet_on   .' href="?&amp;' . $plugin . '&amp;admin=plugin_stylesheet&action=plugin_text" />'
       .  $plugin_tx[$plugin]['menu_css'].'</a>&nbsp; ' . "\n"
       .  '<a'.$language_on     .' href="?&amp;' . $plugin . '&amp;admin=plugin_language&action=plugin_edit" />'
       .  $plugin_tx[$plugin]['menu_language'].'</a>&nbsp; ' . "\n"
       .  '<a                      href="'.        $pth['file']['plugin_help'] . '" target="_blank" />'
       .  $plugin_tx[$plugin]['menu_help'].'</a>&nbsp; ' . "\n"
       .  '<a'.$credits_on      .' href="?&amp;' . $plugin . '&amp;admin=plugin_config&action=credits" />'
       .  $plugin_tx[$plugin]['menu_credits'].'</a></p>' . "\n";

    if($admin == '' && $action != 'credits') $admin = 'plugin_main';

    if($admin != 'plugin_main' and $admin != 'plugin_config')
    {
        $o .= plugin_admin_common($action,$admin,$plugin);
    }

    if($action=='credits') {
        $o.= '<h2>Memberpages_XH ' . constant('MEMBERPAGES_VERSION') . '</h2>' . "\n"
           . '<p>&copy; 2012-2015 by <a href="http://frankziesing.de/cmsimple/">svasti</a></p>'."\n"
           . '<p>based on:</p>' ."\n" . '<ul>'
           . '<li>versions 3.0 and higher by <a href="http://frankziesing.de/cmsimple/">svasti</a></li>'."\n"
           . '<li>versions 2.0–2.3 (2009-2010) by <a href="http://www.ge-webdesign.de">ge-webdesign.de</a></li>'."\n"
           . '<li>versions 0.1–1.7 (2005-2007) by <a href="http://cmsimpleplugins.svarrer.dk">cmsimpleplugins.svarrer.dk</a></li>'."\n".'</ul>' . "\n"
           . '<p>This program is free software: you can redistribute it and/or modify '
	       . 'it under the terms of the GNU General Public License as published by '
	       . 'the Free Software Foundation, either version 3 of the License, or '
	       . '(at your option) any later version.</p>'
           . '<p>For a copy of the GNU General Public License see '
           . '<a href="' . $sn . '?' . uenc($cf['menu']['legal']) . '">'
           . $cf['menu']['legal']
           . '</a></p>' ."\n"
           . '<p><small><b>Acknowledgement:</b></small><br />'
           . 'Memberpages_XH uses Memberlist_XH by <a href="http://3-magi.net">cmb</a> to show which members are logged in.<p>'
           . "\n";

    }


// action on choosing "members list" (Plugin main) in plugin menu
//================================================================
    if($admin == 'plugin_main' && $action != 'memberslist') 
    {
        // activation/update
        //==========================================
        if(!$plugin_cf['memberpages']['version']
            || version_compare($plugin_cf['memberpages']['version'], constant('MEMBERPAGES_VERSION'), '!=')) {
            include 'pluginactivation.php';
            $o .= memberpagesUpdate();
        } elseif(isset($_POST['sendPwToNewMember'])) $o .= memberpagesSendEmailToNewMember();
        else $o .= memberpagesShowMembersList();
    }


    // action on choosing "log" in plugin menu
    //================================================
    if($admin == 'plugin_config' && $action == 'log') $o .= memberpagesLog();


    // action on changing anything in the members list
    //=================================================
    if($admin == 'plugin_main' && $action == 'memberslist' && !isset($_POST['activate_memberpages'])) {
        $o .= memberpagesProcessList();
    } 


    // action on choosing "config" in plugin menu
    //================================================
    if($admin == 'plugin_config' && $action == 'plugin_edit' || isset($_POST['save_memberpagesconfig'])) {

        if(isset($_POST['save_memberpagesconfig'])) {
            $t = memberpagesSaveConfig();
            include $pth['folder']['plugins'].$plugin.'/config/config.php';
            include ($pth['folder']['plugins'] . "memberpages/languages/$sl.php");
            if($t['error']) {
                $o .= '<p class="cmsimplecore_warning">'.$plugin_tx['memberpages']['error_texttrigger'].'</p>';
            }
            if($t['success']) {
                $bjs .= '<script type="text/javascript">'."\n"
              . 'document.getElementById(\'mpp_saved\').style.visibility = \'visible\';'
              . 'document.getElementById(\'mpp_saved2\').style.visibility = \'visible\';'
              . 'setTimeout(function(){document.getElementById(\'mpp_saved\').style.visibility = \'hidden\'},2500);'
              . 'setTimeout(function(){document.getElementById(\'mpp_saved2\').style.visibility = \'hidden\'},2500);'
              . '</script>'."\n";
            }
            if($t['cntsave']) {
                $o .= XH_message('fail',$tx['error']['cntsave'] . $t['cntsave']);
            }
        }
        $o .= memberpagesConfig();
    }  
}
