<?php


function memberpagesUpdate()
{
    global $plugin_cf,$plugin_tx,$hjs,$pth,$sl,$cf;
    $o = $text = $error = $olddir = '';

    $hjs .= '<style type="text/css"><!--
.mpp_update {
    border:2px red solid;
    padding:1em;
    background:#ffa;
    margin-bottom:10em;
}
.mpp_update div {
    max-width:30em;
    margin:0 auto;
}
.mpp_update h1 {
    color:red;
    text-align:center;
}
.mpp_update p, .mpp_update button, .mpp_update input{
    color:#600;
    font-size:110%;
    width:100%;
    padding:0;
}
.mpp_update input {
    font-weight:bold;
    font-family: Consolas, monospace;
}
.mpp_update button {
    line-height:2;
    color:black;
    font-weight:bold;
    display:block;
    text-align:center;
    background:#ccc;
    cursor: pointer;
}
.mpp_update form {
    margin:0;
}
.mpp_update .error {
    background: #fbe5e2 url("fail.png") no-repeat 10px;
    color: #992213;
    border: 1px solid #f2a197;
}
//--></style>';

    if(isset($_POST['import'])) {
        $member = memberpagesgetOldList();
        $logsize = filesize($pth['folder']['plugins'] . 'memberpages/logfile/logfile.txt');
        if($logsize) {
            $logfile = file_get_contents($pth['folder']['plugins'] . 'memberpages/logfile/logfile.txt');
            $i = file_put_contents(MEMBERSFILEPATH . 'log.txt',$logfile, FILE_APPEND);
            $text .= $i
                   ? '<p>' . $i . ' Bytes from old log file imported into new log file.'
                   : '<p>ERROR: Import of log file failed.';
        }
        if(memberpagesSaveList($member)) {
            $text .= '<p>Old members list imported and saved as new list</p>';
        } else $text .= '<p class="error">ERROR: Import of old members list failed.
                        Please check writing permissions and try again.</p>';
    }

    if(isset($_POST['changeToOldDir'])) {
        $config = file_get_contents($pth['folder']['plugins'] . 'memberpages/config/config.php');
        $config = rtrim($config,"\n\r>?")."\n";
        $filetype = isset($plugin_cf['memberpages']['usecsvfile']) && $plugin_cf['memberpages']['usecsvfile']
                  ? 'csv'
                  : 'php';
        $olddir = substr($plugin_cf['memberpages'][$filetype .'file'],0,
                  strrpos($plugin_cf['memberpages'][$filetype .'file'], '/')+1);
        $config .= '$plugin_cf[\'memberpages\'][\'membersfilepath\']="'
                . $olddir . '";' . "\n";
        if(file_put_contents($pth['folder']['plugins'] . 'memberpages/config/config.php', $config, LOCK_EX)) {
            $message .= '<p>Old members list path has become path for new members list</p>';
        } else $message .= '<p>ERROR: New members list path could not be written into config.php.'
                         . 'Please check writing permissions of config.php and start plugin activation again.</p>';
        setcookie('mmp_pluginActivation', $message, time()+2);
        header('Location: '.CMSIMPLE_URL.'?&memberpages&admin=plugin_main');
        exit;
    }

    if(isset($_POST['newDir'])) {
        $config = file_get_contents($pth['folder']['plugins'] . 'memberpages/config/config.php');
        $config = rtrim($config,"\n\r>?")."\n";
        $config .= '$plugin_cf[\'memberpages\'][\'membersfilepath\']="'
                . $_POST['newDir'] . '";' . "\n";
        if(file_put_contents($pth['folder']['plugins'] . 'memberpages/config/config.php', $config, LOCK_EX)) {
            $message .= '<p>Path for new list changed to '. $_POST['newDir'] . '</p>';
        } else $message .= '<p>ERROR: New members list path could not be written into config.php.
                         Please check writing permissions of config.php and start plugin activation again.</p>';
        setcookie('mmp_pluginActivation', $message, time()+2);
        header('Location: '.CMSIMPLE_URL.'?&memberpages&admin=plugin_main');
        exit;
    }

    if(isset($_POST['activate'])) {
        memberpagesSaveConfig();
        memberpagesProcessList();
    }

// ===================================
// Standard dialog plugin activation
// ===================================
        if(isset($_COOKIE['mmp_pluginActivation'])) $text .= $_COOKIE['mmp_pluginActivation'];

        $text .= '<h1>Memberpages ' . MEMBERPAGES_VERSION . tag('br')
              . $plugin_tx['memberpages']['activation_alert']
              . '</h1>';

        $text .= '<p>'.$plugin_tx['memberpages']['activation_expained'].'</p>'
              . '<form action="" method="POST">'
              . '<button type="submit" name="activate"
                style="font-weight:bold;padding:0 1em;letter-spacing:.05em;" value="1">'
              . $plugin_tx['memberpages']['activation_click_here']
              . '</button>'
              . '</form>' . tag('br');

        $text .= '<p>Version 3.5 of memberpages saves</p>'
               . '<ul><li>members list (membersfile.php)</li>'
               . '<li>log file (log.txt)</li>'
               . '<li>names of momentarily active members (members.dat)</li>'
               . '<li>register-me enquiries (new.php)</li>'
               . '<li>protective .htaccess file (.htaccess)</li></ul>'
               . '<p>together in the same folder, which is at present: '
               .  MEMBERSFILEPATH;
        $text .=  MEMBERSFILEPATH == $pth['folder']['userfiles'].'plugins/memberpages/'
               ? ' (standard location)</p>'
               : ' (changed location)</p>';
        $text .=  memberpagesCheckPermissions();

        $text .=  tag('hr');
        // new files found
        if(isset($plugin_cf['memberpages']['membersfilepath'])
            && is_file(MEMBERSFILEPATH.'membersfile.php')) {
            $member = parse_ini_file(MEMBERSFILEPATH.'membersfile.php',true);
            if(count($member)>0
                && isset($member['0']['user'])
                && isset($member['0']['pass'])) {
                $text .= '<p><b>New members list</b> found at '  . tag('br')
                       .  MEMBERSFILEPATH  . tag('br'). ' with '
                       .  count($member) . ' members</p>';
                $newlogsize = filesize(MEMBERSFILEPATH . 'log.txt');
                if($newlogsize) $text .= '<p>New log file of ' . $newlogsize . ' Byte found.</p>';
            } else $text .= '<p>Empty new members file exists already</p>';
        } else $text .= '<p>No new members file found</p>';
                $text .=  tag('hr');

        // old files found
        if(isset($plugin_cf['memberpages']['usecsvfile'])) {
            $filetype = $plugin_cf['memberpages']['usecsvfile']
                 ? 'csv'
                 : 'php';
            if(is_file($pth['folder']['base'].$plugin_cf['memberpages'][$filetype .'file'])) {
                $oldmember = memberpagesGetOldList();
                $text .= tag('hr');
                $text .= '<p><b>Old members list</b> found at' . tag('br')
                      .  $pth['folder']['base'].$plugin_cf['memberpages'][$filetype .'file']
                      .  tag('br') .'with '
                      .  count($oldmember) . ' members</p>';
                $logsize = filesize($pth['folder']['plugins'] . 'memberpages/logfile/logfile.txt');
                if($logsize) $text .= '<p>Old log file of ' . $logsize . ' Byte found.</p>';

                $olddir = substr($plugin_cf['memberpages'][$filetype .'file'],0,
                          strrpos($plugin_cf['memberpages'][$filetype .'file'], '/')+1);
                $text .= '<p>Writing permissions for the old members list are only relevant,
                         if you want to put your new members file in the old folder and not
                         in the new default folder under ./userfiles/.</p>';
                $text .= memberpagesCheckPermissions($olddir);
                $text .= tag('hr');

                $text .= tag('br');

                // Change path to old location
                if(trim(MEMBERSFILEPATH,'./') != trim($olddir,'./'))
                    $text .= '<form action="" method="POST">You can change the folder
                             to the old location if you think that\'s better. ' //.'Don\'t
                             //do it if you have already a list at the new standard location.'
                             //. 'Usually the new folder location is fine and a change is not necessary.'
                           . '<button type="text" name="changeToOldDir"
                             value="'.$olddir.'">Change folder to the old location'
                           . tag('br') . $olddir . '</button></form>'. tag('br');
            }
        }
        // change path to any location
        $text .= '<form action="" method="POST">You can also change the folder
                 to any other location. While changing the folder location the plugin will
                 not move any lists but start a new list.'
               . tag('input type="text" name="newDir" value="./"')
               . '<button type="submit">Change folder to above location'
               . '</button></form>'. tag('br');

        if($olddir) $text .= '<form action="" method="POST">If all permissions
                             for the choosen folder location are OK
                             you can import your old list and log file.'//.' This will overwrite
                             //any new list you may have in the choosen folder. So,
                             //if you already have a working new list, don\'t import the old list
                             //but rather delete the old list via ftp.
                          . '<button type="text" name="import"
                             value="1">Import old list and log</button></form>';

        $text .= tag('br');



    // Wrapper for activation messages
    $o .=  '<div class="mpp_update"><div>'
        . $text
        . '</div></div>';

    return $o;
}


function memberpagesCheckFile($file)
{
    $o = array('missing'=>'','notwritable'=>'');

    if(!is_file($file)) file_put_contents($file,'');
    if(!is_file($file)) $o['missing'] .=  $file . tag('br');
    elseif(!is_writable($file)) {
        $o['notwritable'] .=  $file . tag('br');
    }
    return $o;
}



function memberpagesCheckPermissions($path='')
{
    global $pth,$tx;
    $o = '';

    $error = memberpagesCheckFile($pth['folder']['plugins'].'memberpages/config/config.php');
    if(!$path) $path = MEMBERSFILEPATH;
    if(!is_dir($path)) mkdir($path, 0, true);
    if(!is_dir($path)) {
        $error['missing'] .=  $path . tag('br');
    }
    elseif(!is_writable($path)) {
        $error['notwritable'] .= $path . tag('br');
    }

    $x = memberpagesCheckFile($path.'log.txt');
    $error['notwritable'] .= $x['notwritable'];
    $error['missing'] .= $x['missing'];


    $x = memberpagesCheckFile($path.'membersfile.php');
    $error['notwritable'] .= $x['notwritable'];
    $error['missing'] .= $x['missing'];
    if(!is_file($path.'membersfile.php') || filesize($path.'membersfile.php') < 10)
        file_put_contents($path.'membersfile.php',
         ';<?php' . PHP_EOL . ';die();' . PHP_EOL . ';/*' . PHP_EOL);

    if(!is_file($path.'.htaccess') || filesize($path.'.htaccess') < 10)
        file_put_contents($path.'.htaccess',
        'order deny,allow' . "\n" . 'deny from all' . "\n");
    $x = memberpagesCheckFile($path.'.htaccess');
    $error['notwritable'] .= $x['notwritable'];
    $error['missing'] .= $x['missing'];

    $server = strtolower( $_SERVER["SERVER_SOFTWARE"] );
    if (strpos($server, "apache") === false ) {
        $o .= '<p>Your server is not Apache, and .htaccess protection may not work.
               Please secure your folder <b>'. $path . '</b>
               agains external access.</p>';
    }

    if($error['missing']) {
        $o .= '<div class="error"><u>'. $tx['error']['missing'] .':</u>'. tag('br') . $error['missing'] . '</div>';
        if( ini_get('safe_mode') ){
            $o .= '<p class="error">PHP-setting <b>save_mode=on</b> detected.</p><p>Save-mode
                 prevents php from creating writable folders and may prevent creating files.
                 The folders created have the wrong owner and cannot be used.
                 Delete folders with strange owners where you cannot
                 set writing permissions.</p>'
               .'<p><u>How to proceed:</u>'.tag('br').'If folders are missing, create
                 an empty folder with the wanted name on your home computer and
                 upload the empty folder via ftp to the correct place in your website,
                 and give writing permissions.</p>'
                .'<p>If files are missing, check first the writing permissions of the
                 folder before you try to create these files via your ftp-program.</p>';
        }
    }
    if($error['notwritable']) $o .= '<div class="error"><u>'. $tx['error']['notwritable']
                                  . ':</u>'. tag('br') . $error['notwritable'] . '</div>';

    return $o? $o : '<p>Folder settings and writing permissions: OK</p>';
}



function memberpagesGetOldList()
{
    global $plugin_cf,$pth,$tx,$plugin_tx;

    if($plugin_cf['memberpages']['usecsvfile'])
    {
        $user = $exuser = $pass = $expass = $access = $email = $fullname = $expires = array();

        $array = file($pth['folder']['base'] . $plugin_cf['memberpages']['csvfile']);

        foreach($array as $key => $value) {
            $data = explode(',', $array[$key]);
            $x = mb_strlen($data[1],'UTF-8')>4? 1 : '';
        	$member[$key] = array(
                'user'   =>$data[0],
                'pass'   =>$data[1],
                'access' =>$data[2],
                'email'  =>trim($data[3]),
                'full'   =>trim($data[4]),
                'expires'=>trim($data[5]),
                'x'      =>$x
                );
        }
    }
    else
    {
        include $pth['folder']['base'] . $plugin_cf['memberpages']['phpfile'];

        $user     = explode(",", $members['user_array']);
        $pass     = explode(",", $members['pass_array']);
        $access   = explode(",", $members['accesslevel_array']);
        $email    = explode(",", $members['email_array']);
        $full     = explode(",", $members['fullname_array']);
        $expires  = explode(",", $members['expires_array']);
        foreach ($user as $key=>$value) {
            $x = mb_strlen($pass[$key],'UTF-8')>4? 1 : '';
        	$member[$key] = array(
                'user'   =>$user[$key],
                'pass'   =>$pass[$key],
                'access' =>$access[$key],
                'email'  =>$email[$key],
                'full'   =>$full[$key],
                'expires'=>$expires[$key],
                'x'      =>$x
                );
        }
    }
        return $member;
}
